import { FinancialSeries } from "./FinancialSeries";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { Axis } from "./Axis";
import { Point, Type } from "igniteui-react-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { AxisRange } from "./AxisRange";
/**
 * @hidden
 */
export declare abstract class FinancialOverlay extends FinancialSeries {
    static $t: Type;
    protected get_em(): boolean;
    constructor();
    protected no(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    x5: number;
    protected get_gk(): boolean;
    protected o8(a: any, b: string, c: any, d: any): void;
    protected bx(): SeriesHitTestMode;
    f4(a: Point, b: boolean): boolean;
    ac(): void;
    fo(a: any): boolean;
    aq(a: Axis): AxisRange;
    protected x3: boolean;
    protected abstract x4(): boolean;
    static $$p: string[];
}
